org.apache.commons.math3.distribution

## Class TDistribution

- java.lang.Object
- - org.apache.commons.math3.distribution.AbstractRealDistribution
  - - org.apache.commons.math3.distribution.TDistribution

- All Implemented Interfaces:
    Serializable, RealDistribution

      public class TDistribution
      extends AbstractRealDistribution

  Implementation of Student's t-distribution.
  Version:
    $Id: TDistribution.java 1244107 2012-02-14 16:17:55Z erans $
  See Also:
    "Student's t-distribution (Wikipedia)", "Student's t-distribution (MathWorld)", Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `DEFAULT_INVERSE_ABSOLUTE_ACCURACY` Default inverse cumulative probability accuracy.

    - ### Fields inherited from class org.apache.commons.math3.distribution.AbstractRealDistribution

      `randomData, SOLVER_DEFAULT_ABSOLUTE_ACCURACY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TDistribution(double degreesOfFreedom)` Create a t distribution using the given degrees of freedom.
    `TDistribution(double degreesOfFreedom, double inverseCumAccuracy)` Create a t distribution using the given degrees of freedom and the specified inverse cumulative probability absolute accuracy.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `cumulativeProbability(double x)` For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X <= x)`.
    `double` | `density(double x)` Returns the probability density function (PDF) of this distribution evaluated at the specified point `x`.
    `double` | `getDegreesOfFreedom()` Access the degrees of freedom.
    `double` | `getNumericalMean()` Use this method to get the numerical value of the mean of this distribution.
    `double` | `getNumericalVariance()` Use this method to get the numerical value of the variance of this distribution.
    `protected double` | `getSolverAbsoluteAccuracy()` Returns the solver absolute accuracy for inverse cumulative computation.
    `double` | `getSupportLowerBound()` Access the lower bound of the support.
    `double` | `getSupportUpperBound()` Access the upper bound of the support.
    `boolean` | `isSupportConnected()` Use this method to get information about whether the support is connected, i.e.
    `boolean` | `isSupportLowerBoundInclusive()` Use this method to get information about whether the lower bound of the support is inclusive or not.
    `boolean` | `isSupportUpperBoundInclusive()` Use this method to get information about whether the upper bound of the support is inclusive or not.
    `double` | `probability(double x)` For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X = x)`.

    - ### Methods inherited from class org.apache.commons.math3.distribution.AbstractRealDistribution

      `cumulativeProbability, inverseCumulativeProbability, reseedRandomGenerator, sample, sample`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_INVERSE_ABSOLUTE_ACCURACY

          public static final double DEFAULT_INVERSE_ABSOLUTE_ACCURACY

      Default inverse cumulative probability accuracy.
      Since:
        2.1
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TDistribution

          public TDistribution(double degreesOfFreedom,
                       double inverseCumAccuracy)
                        throws NotStrictlyPositiveException

      Create a t distribution using the given degrees of freedom and the specified inverse cumulative probability absolute accuracy.
      Parameters:
        `degreesOfFreedom` - Degrees of freedom.
        `inverseCumAccuracy` - the maximum absolute error in inverse cumulative probability estimates (defaults to `DEFAULT_INVERSE_ABSOLUTE_ACCURACY`).
      Throws:
        `NotStrictlyPositiveException` - if `degreesOfFreedom <= 0`
      Since:
        2.1

    - #### TDistribution

          public TDistribution(double degreesOfFreedom)
                        throws NotStrictlyPositiveException

      Create a t distribution using the given degrees of freedom.
      Parameters:
        `degreesOfFreedom` - Degrees of freedom.
      Throws:
        `NotStrictlyPositiveException` - if `degreesOfFreedom <= 0`

  - ### Method Detail

    - #### getDegreesOfFreedom

          public double getDegreesOfFreedom()

      Access the degrees of freedom.
      Returns:
        the degrees of freedom.

    - #### probability

          public double probability(double x)

      For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X = x)`. In other words, this method represents the probability mass function (PMF) for the distribution. For this distribution `P(X = x)` always evaluates to 0.
      Parameters:
        `x` - the point at which the PMF is evaluated
      Returns:
        0

    - #### density

          public double density(double x)

      Returns the probability density function (PDF) of this distribution evaluated at the specified point `x`. In general, the PDF is the derivative of the `CDF`. If the derivative does not exist at `x`, then an appropriate replacement should be returned, e.g. `Double.POSITIVE_INFINITY`, `Double.NaN`, or the limit inferior or limit superior of the difference quotient.
      Parameters:
        `x` - the point at which the PDF is evaluated
      Returns:
        the value of the probability density function at point `x`

    - #### cumulativeProbability

          public double cumulativeProbability(double x)

      For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X <= x)`. In other words, this method represents the (cumulative) distribution function (CDF) for this distribution.
      Parameters:
        `x` - the point at which the CDF is evaluated
      Returns:
        the probability that a random variable with this distribution takes a value less than or equal to `x`

    - #### getSolverAbsoluteAccuracy

          protected double getSolverAbsoluteAccuracy()

      Returns the solver absolute accuracy for inverse cumulative computation. You can override this method in order to use a Brent solver with an absolute accuracy different from the default.
      Overrides:
        `getSolverAbsoluteAccuracy` in class `AbstractRealDistribution`
      Returns:
        the maximum absolute error in inverse cumulative probability estimates

    - #### getNumericalMean

          public double getNumericalMean()

      Use this method to get the numerical value of the mean of this distribution. For degrees of freedom parameter `df`, the mean is
      - if `df > 1` then `0`,
      - else undefined (`Double.NaN`).
      Returns:
        the mean or `Double.NaN` if it is not defined

    - #### getNumericalVariance

          public double getNumericalVariance()

      Use this method to get the numerical value of the variance of this distribution. For degrees of freedom parameter `df`, the variance is
      - if `df > 2` then `df / (df - 2)`,
      - if `1 < df <= 2` then positive infinity (`Double.POSITIVE_INFINITY`),
      - else undefined (`Double.NaN`).
      Returns:
        the variance (possibly `Double.POSITIVE_INFINITY` as for certain cases in `TDistribution`) or `Double.NaN` if it is not defined

    - #### getSupportLowerBound

          public double getSupportLowerBound()

      Access the lower bound of the support. This method must return the same value as `inverseCumulativeProbability(0)`. In other words, this method must return

      `inf {x in R | P(X <= x) > 0}`.

      The lower bound of the support is always negative infinity no matter the parameters.
      Returns:
        lower bound of the support (always `Double.NEGATIVE_INFINITY`)

    - #### getSupportUpperBound

          public double getSupportUpperBound()

      Access the upper bound of the support. This method must return the same value as `inverseCumulativeProbability(1)`. In other words, this method must return

      `inf {x in R | P(X <= x) = 1}`.

      The upper bound of the support is always positive infinity no matter the parameters.
      Returns:
        upper bound of the support (always `Double.POSITIVE_INFINITY`)

    - #### isSupportLowerBoundInclusive

          public boolean isSupportLowerBoundInclusive()

      Use this method to get information about whether the lower bound of the support is inclusive or not.
      Returns:
        whether the lower bound of the support is inclusive or not

    - #### isSupportUpperBoundInclusive

          public boolean isSupportUpperBoundInclusive()

      Use this method to get information about whether the upper bound of the support is inclusive or not.
      Returns:
        whether the upper bound of the support is inclusive or not

    - #### isSupportConnected

          public boolean isSupportConnected()

      Use this method to get information about whether the support is connected, i.e. whether all values between the lower and upper bound of the support are included in the support. The support of this distribution is connected.
      Returns:
        `true`

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.